%define name 	clipit
%define version 1.4.2
%define release %mkrel 1

Summary:	ClipIt - a lightweight GTK+ clipboard manager
Summary(de):	ClipIt - ein leichter GTK+ Zwischanablagen Manager
Name: 		%name
Version:	%version
Release: 	%release
License: 	GPLv3
Group: 		Graphical desktop/GNOME
URL: 		http://clipit.rspwn.com/
Source0:	%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
Requires:       %{_lib}gtk+2.0_0
Requires:	xdotool
Requires:       glibc >= 2.16
Requires:       libstdc++6 >= 4.7.2
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  gettext-devel
BuildRequires:  perl-XML-Parser


%description
ClipIt is a lightweight, fully featured GTK+ clipboard manager. 
It was forked from Parcellite (http://parcellite.sourceforge.net), 
adding additional features and bugfixes to the project.
 

ClipIts main features are:
– Save a history of your last copied items
– Search through the history
– Global hotkeys for most used functions
– Execute actions with clipboard items
– Exclude specific items from history

#german
%description -l de
ClipIt ist ein leichter Zwischenablage-Manager basierend auf GTK+.
Es handelt sich um ein Fork vonParcellite 
(http://parcellite.sourceforge.net), mit
zusätzlicher Features und Bugfixes für das Projekt.
 

ClipIts wichtigsten Merkmale sind:
- Speichern Sie die letzten kopierten Einträge
- Suchfunktion durch den Verlauf
- Global Hotkeys für die meisten verwendeten Funktionen
- Aktionen ausführen mit den Zwischenablage Einträge
- Ausschließen bestimmter Einträge aus dem Verlauf

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

echo NoDisplay=true >> $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

perl -pi -e "s|Unity;|Unity;MATE;|" $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

%find_lang %{name}

%clean
rm -rf 


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/clipit.mo
%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_datadir}/icons/hicolor/scalable/apps/clipit-trayicon.svg

%changelog
* Fri Jun 28 2013 Texstar <texstar at gmail.com> 1.4.2-1pclos2013
- 1.4.2
- add support for mate desktop

* Thu Jul 14 2011 Neal <nealbrks0 at gmail.com> 1.4.1-1pclos2011
- Initial build.
- add missing requireds (leiche)
- add german synapric description (leiche)

